/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * VersionAction.cpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Helpers/MemDebug.hpp"

#include "Actions/CommandAction/VersionAction.hpp"
#include "Actions/ActionRegistry.hpp"
#include "version.h"

#include <iostream>
#include <string>

using namespace std;

#include "UIElements/UIFactory.hpp"
#include "UIElements/Dialog.hpp"
#include "Actions/ValueStorage.hpp"

const char CommandVersionAction::NAME[] = "version";

CommandVersionAction::CommandVersionAction() :
  Action(NAME)
{}

CommandVersionAction::~CommandVersionAction()
{}

void CommandVersion() {
  ActionRegistry::getInstance().getActionByName(CommandVersionAction::NAME)->call(Action::NonInteractive);
};

void CommandVersionAction::getParametersfromValueStorage()
{};

Dialog* CommandVersionAction::fillDialog(Dialog *dialog) {
  ASSERT(dialog,"No Dialog given when filling action dialog");

  dialog->queryEmpty(NAME, MOLECUILDERVERSION);

  return dialog;
}

Action::state_ptr CommandVersionAction::performCall() {
  return Action::success;
}

Action::state_ptr CommandVersionAction::performUndo(Action::state_ptr _state) {
  return Action::success;
}

Action::state_ptr CommandVersionAction::performRedo(Action::state_ptr _state){
  return Action::success;
}

bool CommandVersionAction::canUndo() {
  return true;
}

bool CommandVersionAction::shouldUndo() {
  return false;
}

const string CommandVersionAction::getName() {
  return NAME;
}
